Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtArrayData Class Reference

Inheritance diagram for QwtArrayData:

[legend]
Collaboration diagram for QwtArrayData:

[legend]
List of all members.

## Detailed Description

Data class containing two QwtArray<double> objects.

Definition at line 103 of file qwt_data.h.

## Public Member Functions
| QwtArrayData (const QwtArray< double > &x, const QwtArray< double > &y)
| QwtArrayData (const double *x, const double *y, size_t size)
QwtArrayData & | operator= (const QwtArrayData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const
virtual QwtDoubleRect | boundingRect () const

## Constructor & Destructor Documentation

QwtArrayData::QwtArrayData | ( | const QwtArray< double > & | x,
|  | const QwtArray< double > & | y
| ) |

| Constructor See also: QwtCurve::setData and QwtPlot::setCurveData. Definition at line 102 of file qwt_data.cpp. Referenced by copy().

QwtArrayData::QwtArrayData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size
| ) |

| Constructor See also: QwtCurve::setData and QwtPlot::setCurveData. Definition at line 112 of file qwt_data.cpp.

## Member Function Documentation

QwtDoubleRect QwtArrayData::boundingRect | ( |  | ) | const`[virtual]`

| Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == FALSE Reimplemented from QwtData. Definition at line 156 of file qwt_data.cpp. References size().

QwtData * QwtArrayData::copy | ( |  | ) | const`[virtual]`

| Return a pointer to a copy (virtual copy constructor) Implements QwtData. Definition at line 146 of file qwt_data.cpp. References QwtArrayData().

QwtArrayData & QwtArrayData::operator= | ( | const QwtArrayData & |  | ) |

| Assignment. Definition at line 121 of file qwt_data.cpp. References d_x, and d_y.

size_t QwtArrayData::size | ( |  | ) | const`[virtual]`

| Return the size of the data set Implements QwtData. Definition at line 131 of file qwt_data.cpp. Referenced by boundingRect().

double QwtArrayData::x | ( | size_t | i | ) | const`[virtual]`

  | Return the x value of data point i Parameters:
  | i | Index
Returns: x X value of data point i Implements QwtData. Definition at line 136 of file qwt_data.cpp.

double QwtArrayData::y | ( | size_t | i | ) | const`[virtual]`

  | Return the y value of data point i Parameters:
  | i | Index
Returns: y Y value of data point i Implements QwtData. Definition at line 141 of file qwt_data.cpp.